## Copyright 2023 Jakob Harden, Graz University of Technology (Graz, Austria)
## This script is a part of and was written in the course of the PhD study of the author.
## License: MIT, see also section "License" in README.md
##
## Create reference to data structure (atomic reference element, ARE)
##
## Usage: [r_ds] = struct_objref(p_t, p_i, p_r, p_d)
##
## p_ds  ... data structure, <struct>
## p_are ... atomic reference element, <ARE/struct>
## r_ds ... return: referenced object, <struct>
##
## see also: struct_objref
##
function [r_ds] = struct_objref_resolve(p_ds, p_are)
  
  ## check arguments
  if (nargin < 2)
    help struct_objref_resolve;
    error('Less arguments given!');
  endif
  
  ## resolve reference
  r_ds = p_ds;
  for i = 1 : max(size(p_are.r))
    r_ds = getfield(r_ds, p_are.r{i});
  endfor
  r_ds = r_ds(p_are.i);
  
endfunction
