## Copyright 2023 Jakob Harden, Graz University of Technology (Graz, Austria)
## This script is a part of and was written in the course of the PhD study of the author.
## License: MIT, see also section "License" in README.md
##
## Export data structure to text file
##
function export_text()
  
  ## load data set
  ds = load('./structure/ds.oct').ds;
  
  ## load analysis results
  ads = load('./structure/ads.oct').ads;
  
  ## get string representations
  mod = 'all';
  ss = {};
  ssmeta = struct_tostring(ds.meta, mod);
  ssdata = struct_tostring(ds.data, mod);
  ssameta = struct_tostring(ads.ameta, mod);
  ssadata = struct_tostring(ads.adata, mod);
  ss1 = [ssmeta; ssdata];
  ss2 = [ssameta; ssadata];
  
  ## open text file for writing
  fid = fopen('./text/dsads.txt', 'w');
  
  ## write file header
  fprintf(fid, '# %s\n', ds.meta.copyright.v);
  fprintf(fid, '# License: %s\n', ds.meta.license.v);
  fprintf(fid, '#\n');
  
  ## write data set content
  fprintf(fid, '# 1) data set content\n');
  for i = 1 : size(ss1, 1)
    fprintf(fid, '%s\n', ss1{i});
  endfor
  fprintf(fid, '#\n');
  
  ## write analysis result content
  fprintf(fid, '# 2) analysis results\n');
  for i = 1 : size(ss2, 1)
    fprintf(fid, '%s\n', ss2{i});
  endfor
  fprintf(fid, '\n');
  
  ## close file
  fclose(fid);

endfunction
