## Copyright 2023 Jakob Harden, Graz University of Technology (Graz, Austria)
## This script is a part of and was written in the course of the PhD study of the author.
## License: MIT, see also section "License" in README.md
##
## Plot analysis result data structure
##
function plotds()
  
  ## load data set from structure directory
  ds = load('./structure/ds.oct').ds;
  
  ## plot labels
  tit = ds.meta.title.v;
  xlbl = sprintf('%s [%s]', ds.meta.xlbl.v, ds.meta.xunit.v);
  ylbl = sprintf('%s [%s]', ds.meta.ylbl.v, ds.meta.yunit.v);
  
  ## plot signals
  figure();
  hold on;
  plot(ds.data.xdata.v, ds.data.ydata.v(:, 1), sprintf(';%s;', ds.meta.fnaname.v));
  plot(ds.data.xdata.v, ds.data.ydata.v(:, 2), sprintf(';%s;', ds.meta.fnbname.v));
  hold off;
  grid on;
  title(tit);
  xlabel(xlbl);
  ylabel(ylbl);

endfunction
